org.apache.cassandra.index.sasi.disk

## Class Descriptor.Version

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.Descriptor.Version

- Enclosing class:
    Descriptor

      public static class Descriptor.Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(java.lang.String version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public final java.lang.String version

  - ### Constructor Detail

    - #### Version

          public Version(java.lang.String version)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation